/**
 * @since 1.0.0
 */
import { ApiGatewayManagementApiClient } from "@aws-sdk/client-apigatewaymanagementapi";
import * as Context from "effect/Context";
import * as Effect from "effect/Effect";
import * as Layer from "effect/Layer";
import { ApiGatewayManagementApiClientInstanceConfig } from "./ApiGatewayManagementApiClientInstanceConfig";
declare const ApiGatewayManagementApiClientInstance_base: Context.TagClass<ApiGatewayManagementApiClientInstance, "@effect-aws/client-api-gateway-management-api/ApiGatewayManagementApiClientInstance", ApiGatewayManagementApiClient>;
/**
 * @since 1.0.0
 * @category tags
 */
export declare class ApiGatewayManagementApiClientInstance extends ApiGatewayManagementApiClientInstance_base {
}
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const makeApiGatewayManagementApiClientInstance: Effect.Effect<ApiGatewayManagementApiClient, never, ApiGatewayManagementApiClientInstanceConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const ApiGatewayManagementApiClientInstanceLayer: Layer.Layer<ApiGatewayManagementApiClientInstance, never, ApiGatewayManagementApiClientInstanceConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DefaultApiGatewayManagementApiClientInstanceLayer: Layer.Layer<ApiGatewayManagementApiClientInstance, never, never>;
export {};
