/**
 * @since 1.0.0
 */
import type { ApiGatewayManagementApiClientConfig } from "@aws-sdk/client-apigatewaymanagementapi";
import { Context, Effect, Layer } from "effect";
declare const ApiGatewayManagementApiClientInstanceConfig_base: Context.TagClass<ApiGatewayManagementApiClientInstanceConfig, "@effect-aws/client-api-gateway-management-api/ApiGatewayManagementApiClientInstanceConfig", ApiGatewayManagementApiClientConfig>;
/**
 * @since 1.0.0
 * @category tags
 */
export declare class ApiGatewayManagementApiClientInstanceConfig extends ApiGatewayManagementApiClientInstanceConfig_base {
}
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const makeDefaultApiGatewayManagementApiClientInstanceConfig: Effect.Effect<ApiGatewayManagementApiClientConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DefaultApiGatewayManagementApiClientConfigLayer: Layer.Layer<ApiGatewayManagementApiClientInstanceConfig, never, never>;
export {};
